glibmm 2.40.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::ConvertError Class Reference
Character Set Conversion

Exception class for charset conversion errors. More...

`#include <glibmm/convert.h>`

Inheritance diagram for Glib::ConvertError:
[legend]

## Public Types
enum | Code { NO_CONVERSION, ILLEGAL_SEQUENCE, FAILED, PARTIAL_INPUT, BAD_URI, NOT_ABSOLUTE_PATH, NO_MEMORY }

## Public Member Functions
| ConvertError (Code error_code, const Glib::ustring& error_message)
| ConvertError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for charset conversion errors.

Glib::convert() and friends throw a ConvertError exception if the charset conversion failed for some reason. When writing non-trivial applications you should always catch those errors, and then try to recover, or tell the user the input was invalid.

## Member Enumeration Documentation

enum Glib::ConvertError::Code

Enumerator
NO_CONVERSION |
ILLEGAL_SEQUENCE |
FAILED |
PARTIAL_INPUT |
BAD_URI |
NOT_ABSOLUTE_PATH |
NO_MEMORY |

## Constructor & Destructor Documentation

Glib::ConvertError::ConvertError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::ConvertError::ConvertError | ( | GError * | gobject) |  |
| explicit

## Member Function Documentation

Code Glib::ConvertError::code | ( | ) |  | const